# Map 1-based optional input ports to variables
dataset1 <- maml.mapInputPort(1) # class: data.frame
dataset2 <- maml.mapInputPort(2) # class: data.frame

# ここを異常度の判定用の閾値とする
theta <- 0.5

ret <- dataset1

ret$'Scored Labels' <- 0
ret[ret$'Scored Probabilities' >= theta, 'Scored Labels'] <- 1
ret$time <- as.POSIXct(as.character(dataset2$time), format="%Y%m%d%H%M%S", tz=Sys.timezone()) 

maml.mapOutputPort("ret");
